var tag,monat,jahr;
var tageImMonat = [31,29,31,30,31,30,31,31,30,31,30,31];

function machTag(anzahl){
    var n=1;
    if (tag){
        n = tag.value > anzahl ? anzahl : tag.value;
        document.body.removeChild(tag);
    }

    tag = document.body.insertBefore(document.createElement("select"),monat);
    for (var i=1; i<=anzahl; i++){
        var opt=tag.appendChild(document.createElement("option"));
        opt.appendChild(document.createTextNode(i));
    }
    tag.value=n;
}

function machMonat(){
    monat = document.body.appendChild(document.createElement("select"));
    for (var i=1; i<=12; i++){
        var opt=monat.appendChild(document.createElement("option"));
        opt.appendChild(document.createTextNode(i));
        opt.setAttribute("onclick", "machTag("+tageImMonat[i-1]+")")
    }
    monat.value=1;
    machTag(tageImMonat[monat.value-1]);
}


function machJahr(){
    jahr = document.body.appendChild(document.createElement("select"));
    for (var i=1970; i<=2015; i++){
        var opt=jahr.appendChild(document.createElement("option"));
        opt.appendChild(document.createTextNode(i));
    }

}

function datumseingabe(){
    machMonat();
    machJahr();

}

datumseingabe();